Subject: Re: bug#23884: 24.5; `(query)-replace-regexp` doc: be clearer about \N
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Jul 2016 18:06:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 2 Jul 2016 07:36:23 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> Please make it clear what N is in \N in a replacement pattern.  State
> that \0 matches the entire input pattern, rather than the first
> subgroup.  Users of Emacs regexps might be used to this, but it doesn't
> hurt to call it out explicitly in this doc (both manual and doc
> strings).
> 
> Here is proof that at least one user, who was trying to use this feature
> normally, and seems to be quite competent, tried to use \0 to match the
> first subgroup:
> 
> http://emacs.stackexchange.com/q/24329/105

Whole generations of programmers were brain-washed with the zero-based
counting, and with the idea that reading the documentation is not
necessary.

Fixed.